/***************************************************************************
 begin                : Wed Mar 27 2002
 copyright            : (C) 2002 by Christian Hubinger
 email                : chubinger@irrsinnig.org
***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KMFRULEEDITORTOS_H
#define KMFRULEEDITORTOS_H
#include "kmyfirewallruleeditortos.h"

#include <tqwidget.h>
#include <tqptrlist.h>
#include <tqstring.h>
namespace KMF {
class IPTRule;

/**
  *@author Christian Hubinger
  */

class KMFRuleEditorTos : public KMyFirewallRuleEditorTos {
	Q_OBJECT
  TQ_OBJECT
public:
	KMFRuleEditorTos( TQWidget *parent = 0, const char *name = 0, WFlags fl = 0 );
	~KMFRuleEditorTos();
	TQPtrList<TQString>* options;

	void loadRule( IPTRule* );
	void setType( const TQString& type );

public slots:
	void accept();
	void reject();
	void slotHelp();

private:    // data
	TQString m_option_type;
	IPTRule *m_rule;
	void setItems();
	int getItemNum( const TQString& option );
signals:
/*	void sigAddRuleOpt( TQString *, TQPtrList<TQString> * );
	void sigDelRuleOpt( TQString * );
	void sigAddTargetOpt( TQString*, TQPtrList<TQString>* );
	void sigDelTargetOpt( TQString * );*/
	void sigDocumentChanged();
	void sigHideMe();
};
}
#endif
